ru.bitel.bgbilling.modules.rscm.common.service

## Interface RSCMService

-     public interface RSCMService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRSCMContractService(int rscmContractServiceId, int contractId, java.util.Date month)`
    `void` | `deleteRSCMService(int rscmServiceId)`
    `RSCMContractService` | `getRSCMContractService(int contractId, int rscmContractServiceId)`
    `java.util.List<IdTitle>` | `getRSCMContractServiceList(boolean isUsing)`
    `RSCMService` | `getRSCMService(int rscmServiceId)`
    `java.util.List<IdTitle>` | `getRSCMServiceList()`
    `void` | `recalculate(java.util.Date startMonth, java.lang.String email, java.util.List<java.lang.Integer> contractIds)`
    `SearchResult<RSCMContractService>` | `searchRSCMContractService(int contractId, Period period, java.lang.String[] sort, Page page)`
    `SearchResult<RSCMService>` | `searchRSCMService(java.lang.String[] sort, Page page)`
    `void` | `updateRSCMContractService(RSCMContractService rscmContractService)`
    `void` | `updateRSCMService(RSCMService rscmService)`

- - ### Method Detail

    - #### searchRSCMContractService

          SearchResult<RSCMContractService> searchRSCMContractService(int contractId,
                                                                      Period period,
                                                                      java.lang.String[] sort,
                                                                      Page page)
                                                               throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `contractId` -
        `period` -
        `sort` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchRSCMService

          SearchResult<RSCMService> searchRSCMService(java.lang.String[] sort,
                                                      Page page)
                                               throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `period` -
        `sort` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRSCMContractService

          RSCMContractService getRSCMContractService(int contractId,
                                                     int rscmContractServiceId)
                                              throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `contractId` -
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRSCMService

          RSCMService getRSCMService(int rscmServiceId)
                              throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateRSCMContractService

          void updateRSCMContractService(RSCMContractService rscmContractService)
                                  throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `rscmContractService` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateRSCMService

          void updateRSCMService(RSCMService rscmService)
                          throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `rscmService` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteRSCMContractService

          void deleteRSCMContractService(int rscmContractServiceId,
                                         int contractId,
                                         java.util.Date month)
                                  throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `rscmContractServiceId` -
        `date` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteRSCMService

          void deleteRSCMService(int rscmServiceId)
                          throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `rscmServiceId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recalculate

          void recalculate(java.util.Date startMonth,
                           java.lang.String email,
                           java.util.List<java.lang.Integer> contractIds)
                    throws ru.bitel.bgbilling.common.BGException

      Parameters:
        `startMonth` -
        `email` -
        `contractIds` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRSCMContractServiceList

          java.util.List<IdTitle> getRSCMContractServiceList(boolean isUsing)
                                                      throws ru.bitel.bgbilling.common.BGException

      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getRSCMServiceList

          java.util.List<IdTitle> getRSCMServiceList()
                                              throws ru.bitel.bgbilling.common.BGException

      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`